version: '2'

services:
  registrator-ab:
    image: gliderlabs/registrator
    network_mode: host
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
    environment:
      - constraint:node==ucp-ab
    command: -ip 10.128.0.6 consul://104.154.227.224:8500/
  registrator-controller:
    image: gliderlabs/registrator
    network_mode: host
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
    environment:
      - constraint:node==ucp-controller
    command: -ip 10.128.0.4 consul://104.154.227.224:8500/
  registrator-host:
    image: gliderlabs/registrator
    network_mode: host
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
    environment:
      - constraint:node==ucp-host
    command: -ip 10.128.0.5 consul://104.154.227.224:8500/
